local n=require"luci.model.tasks"
local o=require"luci.docker"
local i=require"luci.model.mtphotos"
local a,t,e
a=n.docker_map("mtphotos","mtphotos","/usr/libexec/istorec/mtphotos.sh",
translate("MTPhotos"),
translate("MTPhotos is a photo manager, made by MTPhotos, Inc.")
..translate("Official website:")..' <a href=\"https://mtmt.tech/\" target=\"_blank\">https://mtmt.tech/</a>')
local o=o.new({socket_path="/var/run/docker.sock"})
local n=o:_ping().code==200
local o=n and o:info().body or{}
local n=0
if o.DockerRootDir then
local e=nixio.fs.statvfs(o.DockerRootDir)
n=e and(e.bavail*e.bsize)or 0
end
t=a:section(SimpleSection,translate("Service Status"),translate("MTPhotos status:"))
t:append(Template("mtphotos/status"))
t=a:section(TypedSection,"main",translate("Setup"),
(n<2147483648 and
(translate("The free space of Docker is less than 2GB, which may cause the installation to fail.")
.."<br>")or"")..translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"port",translate("Port").."<b>*</b>")
e.default="8063"
e.datatype="port"
e:depends("hostnet",0)
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("mtphotos/mt-photos:nodb-latest","mtphotos/mt-photos:nodb-latest")
e:value("mtphotos/mt-photos:latest","mtphotos/mt-photos:latest")
if"x86_64"==o.Architecture then
e.default="mtphotos/mt-photos:latest"
else
e:value("mtphotos/mt-photos:arm-latest","mtphotos/mt-photos:arm-latest")
e.default="mtphotos/mt-photos:arm-latest"
end
local o=i.blocks()
local n=i.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local o,i=i.find_paths(o,n,"Configs")
for a,t in pairs(o)do
e:value(t.."/Config",t.."/Config")
end
e.default=i.."/Config"
e=t:option(Value,"upload_path",translate("Upload path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
for a,t in pairs(o)do
e:value(t.."/Upload",t.."/Upload")
end
e.default=i.."/Upload"
return a
